Bug 110976 - [CI][BAT] igt@i915_selftest@live_contexts - incomplete - INFO: task kworker/* blocked for more than 61 seconds.
Summary: [CI][BAT] igt@i915_selftest@live_contexts - incomplete - INFO: task kworker/*...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-24 07:55 UTC by Martin Peres
Modified: 2019-07-03 13:59 UTC (History)
1 user (show)

See Also:
i915 platform: BDW, SKL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-06-24 07:55:49 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6318/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html

<3> [492.787366] INFO: task kworker/u2:13:2274 blocked for more than 61 seconds.
<3> [492.787762]       Tainted: G     U  W         5.2.0-rc5-CI-CI_DRM_6318+ #1
<3> [492.788064] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
<6> [492.788332] kworker/u2:13   D11744  2274      2 0x80004000
<6> [492.788400] Workqueue: i915 __i915_gem_free_work [i915]
<4> [492.788403] Call Trace:
<4> [492.788411]  ? __schedule+0x311/0x840
<4> [492.788418]  schedule+0x2e/0xb0
<4> [492.788421]  schedule_preempt_disabled+0xf/0x20
<4> [492.788423]  __mutex_lock+0x268/0x960
<4> [492.788426]  ? _raw_spin_unlock_irqrestore+0x39/0x60
<4> [492.788483]  ? __i915_gem_free_objects+0x86/0x660 [i915]
<4> [492.788544]  ? __i915_gem_free_objects+0x86/0x660 [i915]
<4> [492.788597]  __i915_gem_free_objects+0x86/0x660 [i915]
<4> [492.788654]  __i915_gem_free_work+0x5a/0x90 [i915]
<4> [492.788659]  process_one_work+0x245/0x610
<4> [492.788666]  worker_thread+0x37/0x380
<4> [492.788670]  ? process_one_work+0x610/0x610
<4> [492.788672]  kthread+0x119/0x130
<4> [492.788675]  ? kthread_park+0x80/0x80
<4> [492.788680]  ret_from_fork+0x3a/0x50
<4> [492.788689] 
Showing all locks held in the system:
<4> [492.788693] 1 lock held by khungtaskd/17:
<4> [492.788695]  #0: 000000003d017e58 (rcu_read_lock){....}, at: debug_show_all_locks+0xe/0x1a0
<4> [492.788705] 1 lock held by in:imklog/354:
<4> [492.788714] 1 lock held by dmesg/996:
<4> [492.788716] 3 locks held by kworker/u2:13/2274:
<4> [492.788718]  #0: 00000000dcb04ba7 ((wq_completion)i915){+.+.}, at: process_one_work+0x1bf/0x610
<4> [492.788722]  #1: 000000009cab02f6 ((work_completion)(&i915->mm.free_work)){+.+.}, at: process_one_work+0x1bf/0x610
<4> [492.788726]  #2: 00000000b86ebfd3 (&dev->struct_mutex){+.+.}, at: __i915_gem_free_objects+0x86/0x660 [i915]
<4> [492.788781] 6 locks held by i915_selftest/3819:
<4> [492.788783] 
<4> [492.788784] =============================================
Comment 1 CI Bug Log 2019-06-24 07:56:50 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* GVT-d: igt@i915_selftest@live_contexts - incomplete - INFO: task kworker/* blocked for more than 61 seconds.
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4420/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4425/fi-skl-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4431/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4431/fi-skl-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4434/fi-skl-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13337/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13338/fi-skl-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4438/fi-skl-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4441/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4441/fi-skl-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13358/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13358/fi-skl-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3182/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13366/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13372/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6318/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6318/fi-skl-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13374/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13374/fi-skl-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13375/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13375/fi-skl-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_31/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13377/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4446/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4448/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13378/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4450/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6319/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4452/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6320/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13373/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13373/fi-skl-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4447/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13379/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4451/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13380/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4453/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13381/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4454/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4455/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4456/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6321/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6322/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6323/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13384/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13385/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13386/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4461/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6324/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13382/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13383/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3186/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4460/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13387/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13388/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13389/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13390/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6325/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3187/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4463/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4468/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4470/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13396/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6329/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4471/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6328/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4465/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4469/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13395/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4472/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13397/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3189/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4474/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4475/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13398/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13399/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4476/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4480/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4485/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4481/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4484/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4486/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3190/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4487/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4490/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13400/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4491/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6330/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4488/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4489/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4495/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4497/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4500/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4501/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4502/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4498/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4499/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6331/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13401/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
Comment 2 Chris Wilson 2019-06-24 09:24:26 UTC
This is one case where the ftrace output would have been useful!
Comment 3 Chris Wilson 2019-06-26 18:33:26 UTC
<6>[  492.822487] i915_selftest   R  running task    11072  3864   1095 0x80004004
<4>[  492.822491] Call Trace:
<4>[  492.822495]  ? __schedule+0x311/0x840
<4>[  492.822498]  ? retint_kernel+0x2b/0x2b
<4>[  492.822501]  ? ___preempt_schedule+0x16/0x18
<4>[  492.822504]  preempt_schedule_common+0x23/0x80
<4>[  492.823179]  ___preempt_schedule+0x16/0x18
<4>[  492.823185]  _raw_spin_unlock_irqrestore+0x55/0x60
<4>[  492.823242]  i915_gem_shrink+0x35d/0x630 [i915]
<4>[  492.823305]  ? i915_gem_shrinker_scan+0x5e/0x110 [i915]
<4>[  492.823359]  i915_gem_shrinker_scan+0x5e/0x110 [i915]
<4>[  492.823364]  do_shrink_slab+0x131/0x3e0
<4>[  492.823370]  shrink_slab+0x228/0x2c0
<4>[  492.823377]  shrink_node+0x1ae/0x480
<4>[  492.823383]  do_try_to_free_pages+0xc4/0x340
<4>[  492.823388]  try_to_free_pages+0xc9/0x2c0
<4>[  492.823396]  __alloc_pages_nodemask+0x665/0x1130
<4>[  492.823401]  ? __kmalloc+0x262/0x2e0
<4>[  492.823406]  ? sg_init_one+0xa0/0xa0
<4>[  492.823462]  huge_get_pages+0x8a/0x220 [i915]
<4>[  492.823520]  ____i915_gem_object_get_pages+0x1d/0xa0 [i915]
<4>[  492.823731]  __i915_gem_object_get_pages+0x59/0xb0 [i915]
<4>[  492.823784]  i915_gem_object_prepare_write+0x210/0x2b0 [i915]
<4>[  492.823837]  create_test_object.isra.20+0xe2/0x3f0 [i915]
<4>[  492.823891]  igt_ctx_exec+0x2e2/0x410 [i915]
<4>[  492.823955]  __i915_subtests+0x1a4/0x1e0 [i915]
<4>[  492.824017]  __run_selftests+0x112/0x170 [i915]
<4>[  492.824072]  i915_live_selftests+0x2c/0x60 [i915]
<4>[  492.824120]  i915_pci_probe+0x83/0x1a0 [i915]
<4>[  492.824125]  ? _raw_spin_unlock_irqrestore+0x39/0x60
<4>[  492.824133]  pci_device_probe+0x9e/0x120
<4>[  492.824140]  really_probe+0xea/0x3c0
<4>[  492.824144]  driver_probe_device+0x10b/0x120
<4>[  492.824147]  device_driver_attach+0x4a/0x50
<4>[  492.824150]  __driver_attach+0x97/0x130
<4>[  492.824153]  ? device_driver_attach+0x50/0x50
<4>[  492.824156]  bus_for_each_dev+0x74/0xc0
<4>[  492.824160]  bus_add_driver+0x13f/0x210
<4>[  492.824163]  ? 0xffffffffa0052000
<4>[  492.824165]  driver_register+0x56/0xe0
<4>[  492.824168]  ? 0xffffffffa0052000
<4>[  492.824170]  do_one_initcall+0x58/0x300
<4>[  492.824172]  ? do_init_module+0x1d/0x1f6
<4>[  492.824176]  ? rcu_read_lock_sched_held+0x6f/0x80
<4>[  492.824178]  ? kmem_cache_alloc_trace+0x261/0x290
<4>[  492.824182]  do_init_module+0x56/0x1f6
<4>[  492.824186]  load_module+0x24d1/0x2990
<4>[  492.824199]  ? __se_sys_finit_module+0xd3/0xf0
<4>[  492.824201]  __se_sys_finit_module+0xd3/0xf0
<4>[  492.824209]  do_syscall_64+0x55/0x1c0
<4>[  492.824212]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
Comment 4 CI Bug Log 2019-06-27 08:32:15 UTC
A CI Bug Log filter associated to this bug has been updated:

{- GVT-d: igt@i915_selftest@live_contexts - incomplete - INFO: task kworker/* blocked for more than 61 seconds. -}
{+ GVT-d: igt@i915_selftest@live_contexts - incomplete / dmesg-warn - INFO: task kworker/* blocked for more than 61 seconds. +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6361/fi-skl-gvtdvm/igt@i915_selftest@live_hugepages.html
Comment 5 CI Bug Log 2019-07-03 12:32:55 UTC
A CI Bug Log filter associated to this bug has been updated:

{- GVT-d: igt@i915_selftest@live_contexts - incomplete / dmesg-warn - INFO: task kworker/* blocked for more than 61 seconds. -}
{+ GVT-d: igt@i915_selftest@live_contexts - incomplete / dmesg-warn /timeout - INFO: task kworker/* blocked for more than 61 seconds. +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6402/fi-bdw-gvtdvm/igt@i915_selftest@live_contexts.html
Comment 6 Chris Wilson 2019-07-03 12:42:47 UTC
commit c03467ba40f783ebe756114bb68e13a6b404c03a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jul 3 10:17:17 2019 +0100

    drm/i915/gem: Free pages before rcu-freeing the object
    
    As we have dropped the final reference to the object, we do not need to
    wait until after the rcu grace period to drop its pages. We still require
    struct_mutex to completely unbind the object to release the pages, so we
    still need a free-worker to manage that from process context. By
    scheduling the release of pages before waiting for the rcu should mean
    that we are not trapping those pages from beyond the reach of the
    shrinker.
    
    v2: Pass along the request to skip if the vma is busy to the underlying
    unbind routine, to avoid checking the reservation underneath the
    i915->mm.obj_lock which may be used from inside irq context.
    
    v3: Flip the bit for unbinding while active, for later convenience.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111035
    Fixes: a93615f900bd ("drm/i915: Throw away the active object retirement complexity")
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Matthew Auld <matthew.auld@intel.com>
    Reviewed-by: Matthew Auld <matthew.auld@intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190703091726.11690-6-chris@chris-wilson.co.uk

undid most of the damage, but we still needed to actually free the objects between tests to avoid a lot of small allocations being hogged by rcu,

commit 63251685c141ef8db611cd36609a8369d97b47da
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jul 3 10:17:12 2019 +0100

    drm/i915/selftests: Common live setup/teardown
    
    We frequently, but not frequently enough!, remember to flush residual
    operations and objects at the end of a live subtest. The purpose is to
    cleanup after every subtest, leaving a clean slate for the next subtest,
    and perform early detection of leaky state. As this should ideally be
    common for all live subtests, pull the task into a common teardown
    routine.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Reviewed-by: Matthew Auld <matthew.auld@intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190703091726.11690-1-chris@chris-wilson.co.uk
Comment 7 CI Bug Log 2019-07-03 13:59:20 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* GVT-d: igt@runner@aborted - fail - Previous test: i915_selftest (live_contexts)
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6402/fi-bdw-gvtdvm/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13498/fi-bdw-gvtdvm/igt@runner@aborted.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.